AmendmentInformationDetailsSDD
Date: 2015-04-26

de.jost_net.OBanToo.SEPA.Nachricht.pain_008_002_02

## Class AmendmentInformationDetailsSDD

- java.lang.Object
- - de.jost_net.OBanToo.SEPA.Nachricht.pain_008_002_02.AmendmentInformationDetailsSDD

-     public class AmendmentInformationDetailsSDD
      extends java.lang.Object

  Java class for AmendmentInformationDetailsSDD complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="AmendmentInformationDetailsSDD">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="OrgnlMndtId" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.002.02}RestrictedIdentificationSEPA2" minOccurs="0"/>
               <element name="OrgnlCdtrSchmeId" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.002.02}PartyIdentificationSEPA4" minOccurs="0"/>
               <element name="OrgnlDbtrAcct" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.002.02}CashAccountSEPA2" minOccurs="0"/>
               <element name="OrgnlDbtrAgt" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.002.02}BranchAndFinancialInstitutionIdentificationSEPA2" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected PartyIdentificationSEPA4` | `orgnlCdtrSchmeId`
    `protected CashAccountSEPA2` | `orgnlDbtrAcct`
    `protected BranchAndFinancialInstitutionIdentificationSEPA2` | `orgnlDbtrAgt`
    `protected java.lang.String` | `orgnlMndtId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AmendmentInformationDetailsSDD()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `PartyIdentificationSEPA4` | `getOrgnlCdtrSchmeId()` Gets the value of the orgnlCdtrSchmeId property.
    `CashAccountSEPA2` | `getOrgnlDbtrAcct()` Gets the value of the orgnlDbtrAcct property.
    `BranchAndFinancialInstitutionIdentificationSEPA2` | `getOrgnlDbtrAgt()` Gets the value of the orgnlDbtrAgt property.
    `java.lang.String` | `getOrgnlMndtId()` Gets the value of the orgnlMndtId property.
    `void` | `setOrgnlCdtrSchmeId(PartyIdentificationSEPA4 value)` Sets the value of the orgnlCdtrSchmeId property.
    `void` | `setOrgnlDbtrAcct(CashAccountSEPA2 value)` Sets the value of the orgnlDbtrAcct property.
    `void` | `setOrgnlDbtrAgt(BranchAndFinancialInstitutionIdentificationSEPA2 value)` Sets the value of the orgnlDbtrAgt property.
    `void` | `setOrgnlMndtId(java.lang.String value)` Sets the value of the orgnlMndtId property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### orgnlMndtId

          protected java.lang.String orgnlMndtId

    - #### orgnlCdtrSchmeId

          protected PartyIdentificationSEPA4 orgnlCdtrSchmeId

    - #### orgnlDbtrAcct

          protected CashAccountSEPA2 orgnlDbtrAcct

    - #### orgnlDbtrAgt

          protected BranchAndFinancialInstitutionIdentificationSEPA2 orgnlDbtrAgt

  - ### Constructor Detail

    - #### AmendmentInformationDetailsSDD

          public AmendmentInformationDetailsSDD()

  - ### Method Detail

    - #### getOrgnlMndtId

          public java.lang.String getOrgnlMndtId()

      Gets the value of the orgnlMndtId property.
      Returns:
        possible object is `String`

    - #### setOrgnlMndtId

          public void setOrgnlMndtId(java.lang.String value)

      Sets the value of the orgnlMndtId property.
      Parameters:
        `value` - allowed object is `String`

    - #### getOrgnlCdtrSchmeId

          public PartyIdentificationSEPA4 getOrgnlCdtrSchmeId()

      Gets the value of the orgnlCdtrSchmeId property.
      Returns:
        possible object is `PartyIdentificationSEPA4`

    - #### setOrgnlCdtrSchmeId

          public void setOrgnlCdtrSchmeId(PartyIdentificationSEPA4 value)

      Sets the value of the orgnlCdtrSchmeId property.
      Parameters:
        `value` - allowed object is `PartyIdentificationSEPA4`

    - #### getOrgnlDbtrAcct

          public CashAccountSEPA2 getOrgnlDbtrAcct()

      Gets the value of the orgnlDbtrAcct property.
      Returns:
        possible object is `CashAccountSEPA2`

    - #### setOrgnlDbtrAcct

          public void setOrgnlDbtrAcct(CashAccountSEPA2 value)

      Sets the value of the orgnlDbtrAcct property.
      Parameters:
        `value` - allowed object is `CashAccountSEPA2`

    - #### getOrgnlDbtrAgt

          public BranchAndFinancialInstitutionIdentificationSEPA2 getOrgnlDbtrAgt()

      Gets the value of the orgnlDbtrAgt property.
      Returns:
        possible object is `BranchAndFinancialInstitutionIdentificationSEPA2`

    - #### setOrgnlDbtrAgt

          public void setOrgnlDbtrAgt(BranchAndFinancialInstitutionIdentificationSEPA2 value)

      Sets the value of the orgnlDbtrAgt property.
      Parameters:
        `value` - allowed object is `BranchAndFinancialInstitutionIdentificationSEPA2`